package com.zcxk.syncdata.dao;

import com.zcxk.syncdata.entity.ChannelNumber;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface ChannelNumberMapper {
    int insertSelective(ChannelNumber record);

    int updateByPrimaryKeySelective(ChannelNumber record);

    int batchInsert(@Param("list") List<ChannelNumber> list);

    List<ChannelNumber> getList(@Param("concentratorId") Integer concentratorId);

    int findUnique(@Param("id") Integer id, @Param("concentratorId") Integer concentratorId, @Param("channelNo") String channelNo, @Param("channelNamae") String channelNamae);

    ChannelNumber findName(@Param("concentratorId") Integer concentratorId, @Param("name") String name);

    int delByConcentratorId(@Param("concentratorId") Integer concentratorId);
}