package com.zcxk.syncdata.dao;

import com.zcxk.syncdata.entity.WaterRelatedDevice;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface WaterRelatedDeviceMapper {
    int insertSelective(WaterRelatedDevice record);

    int updateByPrimaryKeySelective(WaterRelatedDevice record);

    int batchInsert(@Param("list") List<WaterRelatedDevice> list);

    Integer countByConcentratorId(@Param("concentratorId") Integer concentratorId);

    Integer countByChannelNumberId(@Param("channelNumberId") Integer channelNumberId);

    int delByDeviceId(@Param("deviceId") Long deviceId);

    int realDelByDeviceId(@Param("deviceId") Long deviceId);

    int updateIssueStatus(@Param("deviceIds") List<Long> deviceIds, @Param("issueStatus") Integer issueStatus);

    Integer countByCollectorId(@Param("collectorId") Integer collectorId);
}