package com.zcxk.syncdata.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.math.BigDecimal;
import java.time.LocalDateTime;
import lombok.Data;

@ApiModel(value="com-zcxk-syncdata-entity-Device")
@Data
public class Device {
    @ApiModelProperty(value="null")
    private Long id;

    @ApiModelProperty(value="null")
    private String deviceNo;

    @ApiModelProperty(value="null")
    private Integer deviceType;

    /**
    * siteId
    */
    @ApiModelProperty(value="siteId")
    private Integer siteId;

    @ApiModelProperty(value="null")
    private Integer sysId;

    @ApiModelProperty(value="null")
    private Integer buildingId;

    /**
    * 建筑单元，存储格式, 数字+单元，例:1单元
    */
    @ApiModelProperty(value="建筑单元，存储格式, 数字+单元，例:1单元")
    private String buildingUnit;

    @ApiModelProperty(value="null")
    private Integer floor;

    @ApiModelProperty(value="null")
    private String locDesc;

    /**
    * 設備客戶,對應sc_customer表id
    */
    @ApiModelProperty(value="設備客戶,對應sc_customer表id")
    private Integer customerId;

    @ApiModelProperty(value="null")
    private Long relatedDeviceNo;

    /**
    * 水表電子號
    */
    @ApiModelProperty(value="水表電子號")
    private String waterMeterNo;

    /**
    * 水表檔案號
    */
    @ApiModelProperty(value="水表檔案號")
    private String waterMeterFileNo;

    @ApiModelProperty(value="null")
    private Integer manufacturerId;

    @ApiModelProperty(value="null")
    private String deviceStatus;

    /**
    * 设备最后上报时间
    */
    @ApiModelProperty(value="设备最后上报时间")
    private LocalDateTime lastReceiveTime;

    @ApiModelProperty(value="null")
    private Boolean status;

    @ApiModelProperty(value="null")
    private String isTag;

    @ApiModelProperty(value="null")
    private BigDecimal xCoordinates;

    @ApiModelProperty(value="null")
    private BigDecimal yCoordinates;

    /**
    * planId
    */
    @ApiModelProperty(value="planId")
    private Integer planId;

    /**
    * udip平台id
    */
    @ApiModelProperty(value="udip平台id")
    private String udipId;

    @ApiModelProperty(value="null")
    private String createBy;

    @ApiModelProperty(value="null")
    private String updateBy;

    @ApiModelProperty(value="null")
    private LocalDateTime dateCreate;

    @ApiModelProperty(value="null")
    private LocalDateTime dateUpdate;

    @ApiModelProperty(value="null")
    private String metercode;

    @ApiModelProperty(value="null")
    private Long accountId;
}