package com.zcxk.syncdata.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDateTime;

@ApiModel(value="设备维度关系")
@Data
public class DeviceDimension {
    @ApiModelProperty(value="设备ID")
    private Long deviceId;

    @ApiModelProperty(value="省")
    private String province;

    @ApiModelProperty(value="市")
    private String city;

    @ApiModelProperty(value="区")
    private String region;

    @ApiModelProperty(value="小区")
    private String community;

    @ApiModelProperty(value="建筑")
    private String building;

    @ApiModelProperty(value="单元")
    private String unit;

    @ApiModelProperty(value="楼层")
    private String floor;

    @ApiModelProperty(value="设备编号")
    private String device;

    @ApiModelProperty(value="客户")
    private String customer;

    @ApiModelProperty(value="项目")
    private String project;

    @ApiModelProperty(value="状态")
    private Integer status;

    @ApiModelProperty(value="创建人")
    private String createBy;

    @ApiModelProperty(value="更新人")
    private String updateBy;

    @ApiModelProperty(value="创建时间")
    private LocalDateTime dateCreate;

    @ApiModelProperty(value="更新时间")
    private LocalDateTime dateUpdate;
}