package com.zcxk.syncdata.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.math.BigDecimal;
import java.time.LocalDateTime;
import lombok.Data;

@ApiModel(value="com-zcxk-syncdata-entity-DeviceType")
@Data
public class DeviceType {
    /**
    * id
    */
    @ApiModelProperty(value="id")
    private Integer id;

    /**
    * equipmentType
    */
    @ApiModelProperty(value="equipmentType")
    private String equipmentType;

    /**
    * model
    */
    @ApiModelProperty(value="model")
    private String model;

    /**
    * channelId
    */
    @ApiModelProperty(value="channelId")
    private Integer channelId;

    /**
    * manufacturerId
    */
    @ApiModelProperty(value="manufacturerId")
    private Integer manufacturerId;

    /**
    * deviceType
    */
    @ApiModelProperty(value="deviceType")
    private Integer deviceType;

    /**
    * 上报周期
    */
    @ApiModelProperty(value="上报周期")
    private BigDecimal period;

    /**
    * 配合上报周期使用
    */
    @ApiModelProperty(value="配合上报周期使用")
    private String expression;

    /**
    * delFlag
    */
    @ApiModelProperty(value="delFlag")
    private Boolean status;

    /**
    * createDate
    */
    @ApiModelProperty(value="createDate")
    private LocalDateTime createDate;

    /**
    * createBy
    */
    @ApiModelProperty(value="createBy")
    private String createBy;

    /**
    * updateDate
    */
    @ApiModelProperty(value="updateDate")
    private LocalDateTime updateDate;

    /**
    * updateBy
    */
    @ApiModelProperty(value="updateBy")
    private String updateBy;

    @ApiModelProperty(value="null")
    private String enModel;

    @ApiModelProperty(value="null")
    private String enEquipmentType;
}