package com.zcxk.syncdata.service;

import com.alibaba.fastjson.JSONObject;
import com.zcxk.syncdata.dto.DeviceParams;
import com.zcxk.syncdata.entity.Device;
import org.springframework.web.multipart.MultipartFile;

import java.io.IOException;
import java.util.List;

public interface DeviceService {


    int insertSelective(Device record);

    int updateByPrimaryKeySelective(Device record);

    void syncData();

    int importExcel(MultipartFile file);

    void addMongo(String id, String identifier);

    int batchInsert(List<Device> list);

    int importRemoteMeterExcel(MultipartFile file);

    void batchImportDeviceHandler(DeviceParams deviceParams);
}


