package com.zcxk.syncdata.dao;

import com.zcxk.syncdata.entity.Collector;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface CollectorMapper {
    int insertSelective(Collector record);

    int updateByPrimaryKeySelective(Collector record);

    int batchInsert(@Param("list") List<Collector> list);

    Integer countByConcentratorId(@Param("concentratorId") Integer concentratorId);

    int findByCollectorNoUnique(@Param("id") Integer id, @Param("concentratorId") Integer concentratorId, @Param("collectorNo") String collectorNo);

    Collector findName(@Param("concentratorId") Integer concentratorId, @Param("collectorNo") String collectorNo);
}